## groovy.ui
Class GroovyMain

    java.lang.Object
      groovy.ui.GroovyMain

    public class GroovyMain

extends Object

A Command line to execute groovy.

Version:
  $Revision: 10602 $
Author:
  Jeremy Rayner, Yuri Schimke

Constructor Summary
`GroovyMain()`

Method Summary
`File` `huntForTheScriptFile(String input)` Hunt for the script file, doesn't bother if it is named precisely.
`static void` `main(String[] args)` Main CLI interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyMain

    public GroovyMain()

Method Detail

### main

    public static void main(String[] args)

  Main CLI interface.

  Parameters:
    `args` - all command line args.

### huntForTheScriptFile

    public File huntForTheScriptFile(String input)

  Hunt for the script file, doesn't bother if it is named precisely. Tries in this order: - actual supplied name - name.groovy - name.gvy - name.gy - name.gsh

Copyright © 2003-2008 The Codehaus. All rights reserved.